Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.smila.datamodel
Enum Any.ValueType

    java.lang.Object
      java.lang.Enum<Any.ValueType>
          org.eclipse.smila.datamodel.Any.ValueType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Any.ValueType>

Enclosing interface:
  Any

    public static enum Any.ValueType

extends java.lang.Enum<Any.ValueType>

Enumeration with the possible value types.

Enum Constant Summary
`BOOLEAN`
`DATE`
`DATETIME`
`DOUBLE`
`LONG`
`MAP` The list with the possible value types.
`SEQ`
`STRING`

Method Summary
`static Any.ValueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Any.ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAP

    public static final Any.ValueType MAP

  The list with the possible value types. MAP map, SEQ sequence, STRING string value, DOUBLE double value, BOOLEAN Boolean value, LONG long value, DATE date (without time), DATETIME date with time

### SEQ

    public static final Any.ValueType SEQ

### STRING

    public static final Any.ValueType STRING

### DOUBLE

    public static final Any.ValueType DOUBLE

### BOOLEAN

    public static final Any.ValueType BOOLEAN

### LONG

    public static final Any.ValueType LONG

### DATE

    public static final Any.ValueType DATE

### DATETIME

    public static final Any.ValueType DATETIME

Method Detail

### values

    public static Any.ValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Any.ValueType c : Any.ValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Any.ValueType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMILA API documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD